
@mixin animation ($delay, $duration, $animation, $direction: forward, $fillmode: fowards) {
    -webkit-animation-delay: $delay;
    -webkit-animation-duration: $duration;
    -webkit-animation-name: $animation;
    -webkit-animation-fill-mode: $fillmode;
    -webkit-animation-direction: $direction;

    -moz-animation-delay: $delay;
    -moz-animation-duration: $duration;
    -moz-animation-name: $animation;
    -moz-animation-fill-mode: $fillmode;
    -moz-animation-direction: $direction;

    animation-delay: $delay;
    animation-duration: $duration;
    animation-name: $animation;
    animation-fill-mode: $fillmode;
    animation-direction: $direction;
}

@mixin keyframes ($an) {
    @-webkit-keyframes #{$an} { @content; }
    @-moz-keyframes #{$an} { @content; }
    @-o-keyframes #{$an} { @content; }
    @keyframes #{$an} { @content;  }
}

$animation_flip_card_item: fci;
$animation_flip_card_front: fcf;
$animation_flip_card_back: fcb;

.card {
    position: relative;
    vertical-align: middle;
    display: block;
    width: fit-content;
    height: fit-content;
    margin: 0 auto;
    // width: max-content;
    // max-width: 154px;
    // max-height: 228px;
    perspective: 500px;
    margin-bottom: 10px;
    &__size {
        display: block;
        opacity: 0;
    }
    &__front, &__back {
        display: block;
        //background-color: white;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0px;
        left: 0px;
        opacity: 0;
    }
    &__back {
        display: block;
        //background-color: white;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0px;
        left: 0px;
        opacity: 1;
    }
    &__item {
        display: block;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0px;
        left: 0px;
        opacity: 0;
    }
    &.filpclose {

    }
    &.filpopen{
    	// position: relative;
	    // -webkit-transition: all 200ms ease-in;
	    // -webkit-transform: scale(1);
	    // -ms-transition: all 200ms ease-in;
	    // -ms-transform: scale(1);
	    // -moz-transition: all 200ms ease-in;
	    // -moz-transform: scale(1);
	    // transition: all 200ms ease-in;
	    // transform: scale(1);

        .card__back {
            @include animation(0s, 1.3s, $animation_flip_card_back, linear , both);
        }
        .card__front {
            @include animation(0s, 1.3s, $animation_flip_card_front, linear , both);
        }


        &:hover{
		    z-index: 2;
		    // -webkit-transition: all 200ms ease-in;
		    // -webkit-transform: scale(1.2);
		    // -ms-transition: all 200ms ease-in;
		    // -ms-transform: scale(1.2);
		    // -moz-transition: all 200ms ease-in;
		    // -moz-transform: scale(1.2);
		    // transition: all 200ms ease-in;
		    // transform: scale(1.2);
		}
    }
}
@include keyframes($animation_flip_card_back) {
    0%      {
              transform: rotateY(0deg);
              opacity: 1;
            }
    40%     {
              transform: rotateY(810deg);
              opacity: 1;
            }
    41%     { opacity: 0; }
    80%     { opacity: 0; }
    100%    { opacity: 0; }
};
@include keyframes($animation_flip_card_front) {
    0%      { opacity: 0; }
    40%     { opacity: 0; }
    41%     {
              box-shadow: 0 0 10px 0 rgba(255, 255, 255, 1), 0 0 5px 0 rgba(255, 255, 255, 0.3), inset 0 0 5px 0 rgba(255, 255, 255, 1);
              transform: rotateY(-90deg);
              opacity: 1;
            }
    80%     {
              box-shadow: 0 0 100px 0 rgba(255, 230, 150, 1), 0 0 50px 0 rgba(255, 230, 150, 0.3), inset 0 0 50px 0 rgba(255, 255, 255, 1);
              transform: rotateY(0deg);
              opacity: 1;
            }
    100%    {
              box-shadow: 0 0 0 0 rgba(255, 230, 150, 1), 0 0 0 0 rgba(255, 230, 150, 0.3), inset 0 0 0 0 rgba(255, 255, 255, 1);
              opacity: 1;
            }
};
